Source: autopkgtest
Version: 5.16
Severity: normal
Tags: help
To reproduce (I used a Debian sid qemu VM):
$ sudo apt install --no-install-recommends \
adduser \
autodep8 \
autopkgtest \
build-essential \
debhelper \
devscripts \
distro-info \
fakeroot \
iptables \
lxd
$ ./tools/autopkgtest-build-lxd images:debian/bookworm/amd64
$ AUTOPKGTEST_TEST_UNINSTALLED=1 \
AUTOPKGTEST_TEST_LXD=autopkgtest/debian/bookworm/amd64 \
./tests/autopkgtest \
LxdRunner.test_timeout
Expected result: the test process is terminated before it prints
"after_sleep", and the unit test that ran it passes
Actual result:
> test_timeout (__main__.LxdRunner)
> handling test timeout ... FAIL
>
> ======================================================================
> FAIL: test_timeout (__main__.LxdRunner)
> handling test timeout
> ----------------------------------------------------------------------
> Traceback (most recent call last):
> File "/home/user/autopkgtest/./tests/autopkgtest", line 2896, in
> test_timeout
> self.assertNotIn('after_sleep', out)
> AssertionError: 'after_sleep' unexpectedly found in
> 'start\nafter_sleep\ntotest FAIL timed out\n'
>
> ----------------------------------------------------------------------
> Ran 1 test in 21.021s
>
> FAILED (failures=1)
This does not appear to be a recent regression in autopkgtest: it
is reproducible with git master, with 5.25 (bookworm), and with 5.16
(bullseye).
More debug information is available by applying one of the commits from
<https://salsa.debian.org/ci-team/autopkgtest/-/merge_requests/204>
(full log below).
I'm going to mark this particular unit test as a known failure for now, so
that I can run the rest of the test coverage of the lxd backend while
releasing version 5.26. (Unfortunately this is not a quick process:
running autopkgtest's autopkgtests takes about 3 hours on my laptop.)
smcv
> test_timeout (__main__.LxdRunner)
> handling test timeout ... # Unexpected result
> # command arguments: ['/home/user/autopkgtest/runner/autopkgtest', '-B',
> '-d', '--timeout-test=3', '/tmp/autopkgtest.test.r0li1q52/testpkg_1.dsc',
> '--', 'lxd', '--debug', 'autopkgtest/debian/bookworm/amd64']
> # command stdout:
> # Adding user `test' ...
> # Adding new group `test' (1000) ...
> # Adding new user `test' (1000) with group `test (1000)' ...
> # Creating home directory `/home/test' ...
> # Copying files from `/etc/skel' ...
> # Adding new user `test' to supplemental / extra groups `users' ...
> # Adding user `test' to group `users' ...
> # start
> # after_sleep
> # totest FAIL timed out
> # command stderr:
> # autopkgtest: DBG: autopkgtest options: Namespace(override_control=None,
> only_tests=[], skip_tests=None, built_binaries=False,
> packages=['/tmp/autopkgtest.test.r0li1q52/testpkg_1.dsc'], output_dir=None,
> logfile=None, summary=None, verbosity=2, setup_commands=[],
> setup_commands_boot=[], add_apt_sources=[], add_apt_releases=[],
> pin_packages=[], apt_pocket=[], apt_default_release=None,
> enable_apt_fallback=True, copy=[], env=[], ignore_restrictions=[], user=None,
> gainroot=None, shell_fail=False, shell=False, timeout_short=None,
> timeout_copy=None, timeout_install=None, timeout_test=3, timeout_build=None,
> timeout_factor=1.0, set_lang=None, auto_control=True, build_parallel=None,
> needs_internet='run', validate=False)
> # autopkgtest: DBG: virt-runner arguments: ['lxd', '--debug',
> 'autopkgtest/debian/bookworm/amd64']
> # autopkgtest: DBG: actions: [('source',
> '/tmp/autopkgtest.test.r0li1q52/testpkg_1.dsc', False)]
> # autopkgtest: DBG: build binaries: False
> # autopkgtest: DBG: testbed init
> # autopkgtest [13:04:29]: starting date: 2022-09-24
> # autopkgtest [13:04:29]: git checkout: f5cb379 tests: Get extra debug
> information from test_copy_timeout
> # autopkgtest [13:04:29]: host host; command line:
> /home/user/autopkgtest/runner/autopkgtest -B -d --timeout-test=3
> /tmp/autopkgtest.test.r0li1q52/testpkg_1.dsc -- lxd --debug
> autopkgtest/debian/bookworm/amd64
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest: DBG: testbed open, scratch=None
> # autopkgtest: DBG: sending command to testbed: open
> # autopkgtest-virt-lxd: DBG: executing open
> # autopkgtest-virt-lxd: DBG: will start a container (with
> isolation-container capability)
> # autopkgtest-virt-lxd: DBG: execute-timeout: lxc info
> autopkgtest-lxd-qvckhg
> # autopkgtest-virt-lxd: DBG: using container name autopkgtest-lxd-qvckhg
> # autopkgtest-virt-lxd: DBG: execute-timeout: lxc launch --ephemeral
> autopkgtest/debian/bookworm/amd64 autopkgtest-lxd-qvckhg
> # autopkgtest-virt-lxd: DBG: waiting for container start
> # autopkgtest-virt-lxd: DBG: execute-timeout: lxc exec
> autopkgtest-lxd-qvckhg -- runlevel
> # autopkgtest-virt-lxd: DBG: waiting for network
> # autopkgtest-virt-lxd: DBG: execute-timeout: lxc exec
> autopkgtest-lxd-qvckhg -- sh -ec #!/bin/sh
> # # Copyright © 2006-2018 Canonical Ltd.
> # # Copyright © 2020 Paul Gevers
> # # Copyright © 2020 Lars Kruse
> # # Copyright © 2022 Simon McVittie
> # # SPDX-License-Identifier: GPL-2.0-or-later
> #
> # set -eu
> #
> # if [ -d /run/systemd/system ]; then
> # systemctl start network-online.target
> # else
> # while pgrep -f '/etc/init[.]d/rc' > /dev/null; do
> # sleep 1
> # done
> # fi
> #
> # autopkgtest-virt-lxd: DBG: container started
> # autopkgtest-virt-lxd: DBG: execute-timeout: lxc exec
> autopkgtest-lxd-qvckhg -- sh -c getent passwd | sort -t: -nk3 | awk -F: '{if
> ($3 >= 1000 && $3 <= 59999) { print $1; exit } }'
> # autopkgtest-virt-lxd: DBG: determine_normal_user: no uid in
> [1000,59999] available
> # autopkgtest-virt-lxd: DBG: auxverb = ['lxc', 'exec',
> 'autopkgtest-lxd-qvckhg', '--', 'env', '-i', 'bash', '-c', 'set -a; [ -r
> /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\[}";
> myout="${myout/]/\\\\]}";myerr="${myerr/[/\\\\[}";
> myerr="${myerr/]/\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr
> \'\\#(\'"$myout"\'|\'"$myerr"\')# { s#^.*/proc/([0-9]+)/.*$#\\1#; p}\'|sort
> -u);KILL="";for pid in $PS; do [ $pid -ne $$ ] && [ $pid -ne $PPID ] ||
> continue; KILL="$KILL $pid";done;[ -z "$KILL" ] || kill -9 $KILL
> >/dev/null 2>&1 || true;exit $RC', '--'], downtmp = None
> # autopkgtest-virt-lxd: DBG: execute-timeout: lxc exec
> autopkgtest-lxd-qvckhg -- env -i bash -c set -a; [ -r /etc/environment ] && .
> /etc/environment 2>/dev/null || true; [ -r /etc/default/locale ] && .
> /etc/default/locale 2>/dev/null || true; [ -r /etc/profile ] && .
> /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [ $RC != 255 ] ||
> RC=253; set -e;myout=$(readlink /proc/$$/fd/1);myerr=$(readlink
> /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- mktemp
> --directory --tmpdir autopkgtest.XXXXXX
> # autopkgtest-virt-lxd: DBG: execute-timeout: lxc exec
> autopkgtest-lxd-qvckhg -- env -i bash -c set -a; [ -r /etc/environment ] && .
> /etc/environment 2>/dev/null || true; [ -r /etc/default/locale ] && .
> /etc/default/locale 2>/dev/null || true; [ -r /etc/profile ] && .
> /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [ $RC != 255 ] ||
> RC=253; set -e;myout=$(readlink /proc/$$/fd/1);myerr=$(readlink
> /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- chmod 1777
> /tmp/autopkgtest.aJ6Il4
> # autopkgtest: DBG: got reply from testbed: ok /tmp/autopkgtest.aJ6Il4
> # autopkgtest: DBG: sending command to testbed: print-execute-command
> # autopkgtest-virt-lxd: DBG: executing print-execute-command
> # autopkgtest: DBG: got reply from testbed: ok
> lxc,exec,autopkgtest-lxd-qvckhg,--,env,-i,bash,-c,set%20-a%3B%20%5B%20-r%20/etc/environment%20%5D%20%26%26%20.%20/etc/environment%202%3E/dev/null%20%7C%7C%20true%3B%20%5B%20-r%20/etc/default/locale%20%5D%20%26%26%20.%20/etc/default/locale%202%3E/dev/null%20%7C%7C%20true%3B%20%5B%20-r%20/etc/profile%20%5D%20%26%26%20.%20/etc/profile%202%3E/dev/null%20%7C%7C%20true%3B%20set%20%2Ba%3B%22%24%40%22%3B%20RC%3D%24%3F%3B%20%5B%20%24RC%20%21%3D%20255%20%5D%20%7C%7C%20RC%3D253%3B%20set%20-e%3Bmyout%3D%24%28readlink%20/proc/%24%24/fd/1%29%3Bmyerr%3D%24%28readlink%20/proc/%24%24/fd/2%29%3Bmyout%3D%22%24%7Bmyout/%5B/%5C%5C%5B%7D%22%3B%20myout%3D%22%24%7Bmyout/%5D/%5C%5C%5D%7D%22%3Bmyerr%3D%22%24%7Bmyerr/%5B/%5C%5C%5B%7D%22%3B%20myerr%3D%22%24%7Bmyerr/%5D/%5C%5C%5D%7D%22%3BPS%3D%24%28ls%20-l%20/proc/%5B0-9%5D%2A/fd/%2A%202%3E/dev/null%20%7C%20sed%20-nr%20%27%5C%23%28%27%22%24myout%22%27%7C%27%22%24myerr%22%27%29%23%20%7B%20s%23%5E.%2A/proc/%28%5B0-9%5D%2B%29/.%2A%24%23%5C1%23%3B%20p%7D%27%7Csort%20-u%29%3BKILL%3D%22%22%3Bfor%20pid%20in%20%24PS%3B%20do%20%20%20%20%5B%20%24pid%20-ne%20%24%24%20%5D%20%26%26%20%5B%20%24pid%20-ne%20%24PPID%20%5D%20%7C%7C%20continue%3B%20%20%20%20KILL%3D%22%24KILL%20%24pid%22%3Bdone%3B%5B%20-z%20%22%24KILL%22%20%5D%20%7C%7C%20kill%20-9%20%24KILL%20%3E/dev/null%202%3E%261%20%7C%7C%20true%3Bexit%20%24RC,--
> # autopkgtest: DBG: sending command to testbed: capabilities
> # autopkgtest-virt-lxd: DBG: executing capabilities
> # autopkgtest: DBG: got reply from testbed: ok reboot revert
> revert-full-system root-on-testbed isolation-container
> # autopkgtest: DBG: testbed capabilities: ['reboot', 'revert',
> 'revert-full-system', 'root-on-testbed', 'isolation-container',
> 'has_internet']
> # autopkgtest: DBG: testbed command ['mkdir', '-p',
> '/tmp/autopkgtest.aJ6Il4'], kind short, sout raw, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: sending command to testbed: copydown
> /home/user/autopkgtest/lib/in-testbed/wrapper.sh
> /tmp/autopkgtest.aJ6Il4/wrapper.sh
> # autopkgtest-virt-lxd: DBG: executing copydown
> /home/user/autopkgtest/lib/in-testbed/wrapper.sh
> /tmp/autopkgtest.aJ6Il4/wrapper.sh
> # autopkgtest-virt-lxd: DBG: ['cmdls', '([\'cat\'], [\'lxc\', \'exec\',
> \'autopkgtest-lxd-qvckhg\', \'--\', \'env\', \'-i\', \'bash\', \'-c\', \'set
> -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\\\\\[}";
> myout="${myout/]/\\\\\\\\]}";myerr="${myerr/[/\\\\\\\\[}";
> myerr="${myerr/]/\\\\\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed
> -nr \\\'\\\\#(\\\'"$myout"\\\'|\\\'"$myerr"\\\')# {
> s#^.*/proc/([0-9]+)/.*$#\\\\1#; p}\\\'|sort -u);KILL="";for pid in $PS; do
> [ $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL
> $pid";done;[ -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit
> $RC\', \'--\', \'sh\', \'-ec\', \'cat >/tmp/autopkgtest.aJ6Il4/wrapper.sh;
> chmod +x -- /tmp/autopkgtest.aJ6Il4/wrapper.sh\'])']
> # autopkgtest-virt-lxd: DBG: ['srcstdin', "<_io.BufferedReader
> name='/home/user/autopkgtest/lib/in-testbed/wrapper.sh'>", 'deststdout',
> "<_io.BufferedReader name='/dev/null'>", 'devnull_read', <_io.BufferedReader
> name='/dev/null'>]
> # autopkgtest-virt-lxd: DBG: +< cat
> # autopkgtest-virt-lxd: DBG: +> lxc exec autopkgtest-lxd-qvckhg -- env
> -i bash -c set -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null
> || true; [ -r /etc/default/locale ] && . /etc/default/locale 2>/dev/null ||
> true; [ -r /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@";
> RC=$?; [ $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- sh -ec cat
> >/tmp/autopkgtest.aJ6Il4/wrapper.sh; chmod +x --
> /tmp/autopkgtest.aJ6Il4/wrapper.sh
> # autopkgtest-virt-lxd: DBG: +>?
> # autopkgtest-virt-lxd: DBG: +<?
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest: DBG: testbed command ['chmod', '-R', '0755', '--',
> '/tmp/autopkgtest.aJ6Il4/wrapper.sh'], kind short, sout raw, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: testbed command ['sh', '-euc', '#!/bin/sh\n#
> Copyright 2022 Simon McVittie\n# SPDX-License-Identifier:
> GPL-2.0-or-later\n\n# create-normal-user [USERNAME]\n# Create an ordinary,
> unprivileged user.\n\nset -eu\n\nusage () {\n echo "Usage:
> create-normal-user [USERNAME]" >&2\n exit 2\n}\n\ncreate () {\n local
> user="$1"\n shift\n\n if command -v adduser >/dev/null; then\n
> adduser \\\n --disabled-login \\\n --gecos \'Temporary
> autopkgtest user,,,\' \\\n "$user"\n elif command -v useradd
> >/dev/null; then\n useradd \\\n --comment \'Temporary
> autopkgtest user\' \\\n --create-home \\\n --expiredate
> \'\' \\\n --user-group \\\n "$user"\n else\n
> echo "Neither adduser nor useradd is installed" >&2\n return 1\n
> fi\n\n echo "$user" > /run/autopkgtest-normal-user\n}\n\ncase "${1-}" in\n
> (--)\n shift\n ;;\n\n (-*)\n usage\n
> ;;\nesac\n\nif [ "$#" -gt 1 ]; then\n usage\nfi\n\nif [ "$#" -eq 1 ];
> then\n create "$1"\n exit 0\nfi\n\ntries=20\n\nfor i in $(seq 0
> "$tries"); do\n if [ "$i" = 0 ]; then\n user="test"\n else\n
> random=$(mktemp /tmp/test-XXXXXX)\n user="$(basename "$random")"\n
> rm -f "$random"\n fi\n\n if getent passwd "$user" >/dev/null;
> then\n echo "create-normal-user: \'$user\' already exists"\n else\n
> create "$user"\n exit 0\n fi\ndone\n\necho
> "create-normal-user: Unable to generate a new username (tried $tries times)"
> >&2\nexit 1\n'], kind short, sout raw, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: testbed command ['cat',
> '/run/autopkgtest-normal-user'], kind short, sout pipe, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: testbed command ['dpkg', '--print-architecture'],
> kind short, sout pipe, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest [13:04:35]: testbed dpkg architecture: amd64
> # autopkgtest: DBG: testbed command ['sh', '-ec', 'command -v
> eatmydata'], kind short, sout pipe, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: testbed has eatmydata
> # autopkgtest: DBG: testbed command ['sh', '-ec', 'command -v
> dpkg-query'], kind short, sout pipe, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: testbed command ['sh', '-ec', "dpkg-query --show -f
> '${Package}\\t${Version}\\n' > /tmp/autopkgtest.aJ6Il4/testbed-packages"],
> kind short, sout raw, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: sending command to testbed: copyup
> /tmp/autopkgtest.aJ6Il4/testbed-packages
> /tmp/autopkgtest.output.1d8ttwm8/testbed-packages
> # autopkgtest-virt-lxd: DBG: executing copyup
> /tmp/autopkgtest.aJ6Il4/testbed-packages
> /tmp/autopkgtest.output.1d8ttwm8/testbed-packages
> # autopkgtest-virt-lxd: DBG: ['cmdls', '([\'lxc\', \'exec\',
> \'autopkgtest-lxd-qvckhg\', \'--\', \'env\', \'-i\', \'bash\', \'-c\', \'set
> -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\\\\\[}";
> myout="${myout/]/\\\\\\\\]}";myerr="${myerr/[/\\\\\\\\[}";
> myerr="${myerr/]/\\\\\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed
> -nr \\\'\\\\#(\\\'"$myout"\\\'|\\\'"$myerr"\\\')# {
> s#^.*/proc/([0-9]+)/.*$#\\\\1#; p}\\\'|sort -u);KILL="";for pid in $PS; do
> [ $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL
> $pid";done;[ -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit
> $RC\', \'--\', \'sh\', \'-ec\', \'cat
> </tmp/autopkgtest.aJ6Il4/testbed-packages\'], [\'cat\'])']
> # autopkgtest-virt-lxd: DBG: ['srcstdin', "<_io.BufferedReader
> name='/dev/null'>", 'deststdout', "<_io.BufferedWriter
> name='/tmp/autopkgtest.output.1d8ttwm8/testbed-packages'>", 'devnull_read',
> <_io.BufferedReader name='/dev/null'>]
> # autopkgtest-virt-lxd: DBG: +< lxc exec autopkgtest-lxd-qvckhg -- env
> -i bash -c set -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null
> || true; [ -r /etc/default/locale ] && . /etc/default/locale 2>/dev/null ||
> true; [ -r /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@";
> RC=$?; [ $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- sh -ec cat
> </tmp/autopkgtest.aJ6Il4/testbed-packages
> # autopkgtest-virt-lxd: DBG: +> cat
> # autopkgtest-virt-lxd: DBG: +>?
> # autopkgtest-virt-lxd: DBG: +<?
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest: DBG: testbed supports reboot, creating
> /tmp/autopkgtest-reboot
> # autopkgtest: DBG: testbed command ['mkdir', '-p',
> '/tmp/autopkgtest.aJ6Il4'], kind short, sout raw, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: sending command to testbed: copydown
> /home/user/autopkgtest/lib/in-testbed/reboot.sh
> /tmp/autopkgtest.aJ6Il4/autopkgtest-reboot
> # autopkgtest-virt-lxd: DBG: executing copydown
> /home/user/autopkgtest/lib/in-testbed/reboot.sh
> /tmp/autopkgtest.aJ6Il4/autopkgtest-reboot
> # autopkgtest-virt-lxd: DBG: ['cmdls', '([\'cat\'], [\'lxc\', \'exec\',
> \'autopkgtest-lxd-qvckhg\', \'--\', \'env\', \'-i\', \'bash\', \'-c\', \'set
> -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\\\\\[}";
> myout="${myout/]/\\\\\\\\]}";myerr="${myerr/[/\\\\\\\\[}";
> myerr="${myerr/]/\\\\\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed
> -nr \\\'\\\\#(\\\'"$myout"\\\'|\\\'"$myerr"\\\')# {
> s#^.*/proc/([0-9]+)/.*$#\\\\1#; p}\\\'|sort -u);KILL="";for pid in $PS; do
> [ $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL
> $pid";done;[ -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit
> $RC\', \'--\', \'sh\', \'-ec\', \'cat
> >/tmp/autopkgtest.aJ6Il4/autopkgtest-reboot; chmod +x --
> /tmp/autopkgtest.aJ6Il4/autopkgtest-reboot\'])']
> # autopkgtest-virt-lxd: DBG: ['srcstdin', "<_io.BufferedReader
> name='/home/user/autopkgtest/lib/in-testbed/reboot.sh'>", 'deststdout',
> "<_io.BufferedReader name='/dev/null'>", 'devnull_read', <_io.BufferedReader
> name='/dev/null'>]
> # autopkgtest-virt-lxd: DBG: +< cat
> # autopkgtest-virt-lxd: DBG: +> lxc exec autopkgtest-lxd-qvckhg -- env
> -i bash -c set -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null
> || true; [ -r /etc/default/locale ] && . /etc/default/locale 2>/dev/null ||
> true; [ -r /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@";
> RC=$?; [ $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- sh -ec cat
> >/tmp/autopkgtest.aJ6Il4/autopkgtest-reboot; chmod +x --
> /tmp/autopkgtest.aJ6Il4/autopkgtest-reboot
> # autopkgtest-virt-lxd: DBG: +>?
> # autopkgtest-virt-lxd: DBG: +<?
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest: DBG: testbed command ['chmod', '-R', '0755', '--',
> '/tmp/autopkgtest.aJ6Il4/autopkgtest-reboot'], kind short, sout raw, serr
> pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: testbed command ['ln', '-fns',
> '/tmp/autopkgtest.aJ6Il4/autopkgtest-reboot', '/tmp/autopkgtest-reboot'],
> kind short, sout raw, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: testbed command ['ln', '-fns',
> '/tmp/autopkgtest.aJ6Il4/autopkgtest-reboot', '/sbin/autopkgtest-reboot'],
> kind short, sout raw, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: testbed command ['mkdir', '-p',
> '/tmp/autopkgtest.aJ6Il4'], kind short, sout raw, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: sending command to testbed: copydown
> /home/user/autopkgtest/lib/in-testbed/reboot-prepare.sh
> /tmp/autopkgtest.aJ6Il4/autopkgtest-reboot-prepare
> # autopkgtest-virt-lxd: DBG: executing copydown
> /home/user/autopkgtest/lib/in-testbed/reboot-prepare.sh
> /tmp/autopkgtest.aJ6Il4/autopkgtest-reboot-prepare
> # autopkgtest-virt-lxd: DBG: ['cmdls', '([\'cat\'], [\'lxc\', \'exec\',
> \'autopkgtest-lxd-qvckhg\', \'--\', \'env\', \'-i\', \'bash\', \'-c\', \'set
> -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\\\\\[}";
> myout="${myout/]/\\\\\\\\]}";myerr="${myerr/[/\\\\\\\\[}";
> myerr="${myerr/]/\\\\\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed
> -nr \\\'\\\\#(\\\'"$myout"\\\'|\\\'"$myerr"\\\')# {
> s#^.*/proc/([0-9]+)/.*$#\\\\1#; p}\\\'|sort -u);KILL="";for pid in $PS; do
> [ $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL
> $pid";done;[ -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit
> $RC\', \'--\', \'sh\', \'-ec\', \'cat
> >/tmp/autopkgtest.aJ6Il4/autopkgtest-reboot-prepare; chmod +x --
> /tmp/autopkgtest.aJ6Il4/autopkgtest-reboot-prepare\'])']
> # autopkgtest-virt-lxd: DBG: ['srcstdin', "<_io.BufferedReader
> name='/home/user/autopkgtest/lib/in-testbed/reboot-prepare.sh'>",
> 'deststdout', "<_io.BufferedReader name='/dev/null'>", 'devnull_read',
> <_io.BufferedReader name='/dev/null'>]
> # autopkgtest-virt-lxd: DBG: +< cat
> # autopkgtest-virt-lxd: DBG: +> lxc exec autopkgtest-lxd-qvckhg -- env
> -i bash -c set -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null
> || true; [ -r /etc/default/locale ] && . /etc/default/locale 2>/dev/null ||
> true; [ -r /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@";
> RC=$?; [ $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- sh -ec cat
> >/tmp/autopkgtest.aJ6Il4/autopkgtest-reboot-prepare; chmod +x --
> /tmp/autopkgtest.aJ6Il4/autopkgtest-reboot-prepare
> # autopkgtest-virt-lxd: DBG: +>?
> # autopkgtest-virt-lxd: DBG: +<?
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest: DBG: testbed command ['chmod', '-R', '0755', '--',
> '/tmp/autopkgtest.aJ6Il4/autopkgtest-reboot-prepare'], kind short, sout raw,
> serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: testbed command ['ln', '-fns',
> '/tmp/autopkgtest.aJ6Il4/autopkgtest-reboot-prepare',
> '/tmp/autopkgtest-reboot-prepare'], kind short, sout raw, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: testbed command ['uname', '-srv'], kind short, sout
> pipe, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest [13:04:37]: testbed running kernel: Linux 5.19.0-1-amd64 #1
> SMP PREEMPT_DYNAMIC Debian 5.19.6-1 (2022-09-01)
> # autopkgtest: DBG: testbed command ['sh', '-c', 'nproc; cat
> /proc/cpuinfo 2>/dev/null || true'], kind short, sout pipe, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: Binaries: initialising
> # autopkgtest [13:04:37]: @@@@@@@@@@@@@@@@@@@@ source
> /tmp/autopkgtest.test.r0li1q52/testpkg_1.dsc
> # autopkgtest: DBG: blame += /tmp/autopkgtest.test.r0li1q52/testpkg_1.dsc
> # autopkgtest: DBG: testbed reset: modified=False, deps_installed=[],
> deps_new=[]
> # autopkgtest: DBG: testbed command ['mkdir', '-p',
> '/tmp/autopkgtest.aJ6Il4'], kind short, sout raw, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: sending command to testbed: copydown
> /tmp/autopkgtest.test.r0li1q52/testpkg_1.dsc
> /tmp/autopkgtest.aJ6Il4/testpkg_1.dsc
> # autopkgtest-virt-lxd: DBG: executing copydown
> /tmp/autopkgtest.test.r0li1q52/testpkg_1.dsc
> /tmp/autopkgtest.aJ6Il4/testpkg_1.dsc
> # autopkgtest-virt-lxd: DBG: ['cmdls', '([\'cat\'], [\'lxc\', \'exec\',
> \'autopkgtest-lxd-qvckhg\', \'--\', \'env\', \'-i\', \'bash\', \'-c\', \'set
> -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\\\\\[}";
> myout="${myout/]/\\\\\\\\]}";myerr="${myerr/[/\\\\\\\\[}";
> myerr="${myerr/]/\\\\\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed
> -nr \\\'\\\\#(\\\'"$myout"\\\'|\\\'"$myerr"\\\')# {
> s#^.*/proc/([0-9]+)/.*$#\\\\1#; p}\\\'|sort -u);KILL="";for pid in $PS; do
> [ $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL
> $pid";done;[ -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit
> $RC\', \'--\', \'sh\', \'-ec\', \'cat
> >/tmp/autopkgtest.aJ6Il4/testpkg_1.dsc\'])']
> # autopkgtest-virt-lxd: DBG: ['srcstdin', "<_io.BufferedReader
> name='/tmp/autopkgtest.test.r0li1q52/testpkg_1.dsc'>", 'deststdout',
> "<_io.BufferedReader name='/dev/null'>", 'devnull_read', <_io.BufferedReader
> name='/dev/null'>]
> # autopkgtest-virt-lxd: DBG: +< cat
> # autopkgtest-virt-lxd: DBG: +> lxc exec autopkgtest-lxd-qvckhg -- env
> -i bash -c set -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null
> || true; [ -r /etc/default/locale ] && . /etc/default/locale 2>/dev/null ||
> true; [ -r /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@";
> RC=$?; [ $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- sh -ec cat
> >/tmp/autopkgtest.aJ6Il4/testpkg_1.dsc
> # autopkgtest-virt-lxd: DBG: +>?
> # autopkgtest-virt-lxd: DBG: +<?
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest: DBG: testbed command ['chown', '-R', 'test', '--',
> '/tmp/autopkgtest.aJ6Il4/testpkg_1.dsc'], kind short, sout raw, serr pipe,
> env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: testbed command ['mkdir', '-p',
> '/tmp/autopkgtest.aJ6Il4'], kind short, sout raw, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: sending command to testbed: copydown
> /tmp/autopkgtest.test.r0li1q52/testpkg_1.tar.gz
> /tmp/autopkgtest.aJ6Il4/testpkg_1.tar.gz
> # autopkgtest-virt-lxd: DBG: executing copydown
> /tmp/autopkgtest.test.r0li1q52/testpkg_1.tar.gz
> /tmp/autopkgtest.aJ6Il4/testpkg_1.tar.gz
> # autopkgtest-virt-lxd: DBG: ['cmdls', '([\'cat\'], [\'lxc\', \'exec\',
> \'autopkgtest-lxd-qvckhg\', \'--\', \'env\', \'-i\', \'bash\', \'-c\', \'set
> -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\\\\\[}";
> myout="${myout/]/\\\\\\\\]}";myerr="${myerr/[/\\\\\\\\[}";
> myerr="${myerr/]/\\\\\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed
> -nr \\\'\\\\#(\\\'"$myout"\\\'|\\\'"$myerr"\\\')# {
> s#^.*/proc/([0-9]+)/.*$#\\\\1#; p}\\\'|sort -u);KILL="";for pid in $PS; do
> [ $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL
> $pid";done;[ -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit
> $RC\', \'--\', \'sh\', \'-ec\', \'cat
> >/tmp/autopkgtest.aJ6Il4/testpkg_1.tar.gz\'])']
> # autopkgtest-virt-lxd: DBG: ['srcstdin', "<_io.BufferedReader
> name='/tmp/autopkgtest.test.r0li1q52/testpkg_1.tar.gz'>", 'deststdout',
> "<_io.BufferedReader name='/dev/null'>", 'devnull_read', <_io.BufferedReader
> name='/dev/null'>]
> # autopkgtest-virt-lxd: DBG: +< cat
> # autopkgtest-virt-lxd: DBG: +> lxc exec autopkgtest-lxd-qvckhg -- env
> -i bash -c set -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null
> || true; [ -r /etc/default/locale ] && . /etc/default/locale 2>/dev/null ||
> true; [ -r /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@";
> RC=$?; [ $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- sh -ec cat
> >/tmp/autopkgtest.aJ6Il4/testpkg_1.tar.gz
> # autopkgtest-virt-lxd: DBG: +>?
> # autopkgtest-virt-lxd: DBG: +<?
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest: DBG: testbed command ['chown', '-R', 'test', '--',
> '/tmp/autopkgtest.aJ6Il4/testpkg_1.tar.gz'], kind short, sout raw, serr pipe,
> env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: install_deps: deps_new=[]
> # autopkgtest: DBG: testbed command ['sh', '-ec', 'command -v
> dpkg-source'], kind short, sout pipe, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: testbed command ['sh', '-ec', 'su --shell=/bin/sh
> test -c \'set -e; exec 3>&1 >&2; set -x; cd /; builddir=$(mktemp -d
> /tmp/autopkgtest.aJ6Il4/build.XXX); cd $builddir; dpkg-source -x
> "/tmp/autopkgtest.aJ6Il4/testpkg_1.dsc" src; chmod -R a+rX .; cd [a-z0-9]*/.;
> pwd >&3; sed -n "1 {s/).*//; s/ (/\\n/; p}" debian/changelog >&3\''], kind
> build, sout pipe, serr raw, env []
> # + cd /
> # + mktemp -d /tmp/autopkgtest.aJ6Il4/build.XXX
> # + builddir=/tmp/autopkgtest.aJ6Il4/build.Btu
> # + cd /tmp/autopkgtest.aJ6Il4/build.Btu
> # + dpkg-source -x /tmp/autopkgtest.aJ6Il4/testpkg_1.dsc src
> # dpkg-source: warning: extracting unsigned source package
> (/tmp/autopkgtest.aJ6Il4/testpkg_1.dsc)
> # dpkg-source: info: extracting testpkg in src
> # dpkg-source: info: unpacking testpkg_1.tar.gz
> # + chmod -R a+rX .
> # + cd src/.
> # + pwd
> # + sed -n 1 {s/).*//; s/ (/\n/; p} debian/changelog
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest [13:04:38]: testing package testpkg version 1
> # autopkgtest: DBG: sending command to testbed: copyup
> /tmp/autopkgtest.aJ6Il4/build.Btu/src/debian/
> /tmp/autopkgtest.output.1d8ttwm8/pkg/debian/
> # autopkgtest-virt-lxd: DBG: executing copyup
> /tmp/autopkgtest.aJ6Il4/build.Btu/src/debian/
> /tmp/autopkgtest.output.1d8ttwm8/pkg/debian/
> # autopkgtest-virt-lxd: DBG: ['cmdls', '([\'lxc\', \'exec\',
> \'autopkgtest-lxd-qvckhg\', \'--\', \'env\', \'-i\', \'bash\', \'-c\', \'set
> -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\\\\\[}";
> myout="${myout/]/\\\\\\\\]}";myerr="${myerr/[/\\\\\\\\[}";
> myerr="${myerr/]/\\\\\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed
> -nr \\\'\\\\#(\\\'"$myout"\\\'|\\\'"$myerr"\\\')# {
> s#^.*/proc/([0-9]+)/.*$#\\\\1#; p}\\\'|sort -u);KILL="";for pid in $PS; do
> [ $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL
> $pid";done;[ -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit
> $RC\', \'--\', \'sh\', \'-ec\', \'cd
> /tmp/autopkgtest.aJ6Il4/build.Btu/src/debian/; tar --warning=none -c . -f
> -\'], [\'tar\', \'--directory\',
> \'/tmp/autopkgtest.output.1d8ttwm8/pkg/debian/\', \'--warning=none\',
> \'--preserve-permissions\', \'--extract\', \'--no-same-owner\', \'-f\',
> \'-\'])']
> # autopkgtest-virt-lxd: DBG: ['srcstdin', "<_io.BufferedReader
> name='/dev/null'>", 'deststdout', "<_io.BufferedReader name='/dev/null'>",
> 'devnull_read', <_io.BufferedReader name='/dev/null'>]
> # autopkgtest-virt-lxd: DBG: +< lxc exec autopkgtest-lxd-qvckhg -- env
> -i bash -c set -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null
> || true; [ -r /etc/default/locale ] && . /etc/default/locale 2>/dev/null ||
> true; [ -r /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@";
> RC=$?; [ $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- sh -ec cd
> /tmp/autopkgtest.aJ6Il4/build.Btu/src/debian/; tar --warning=none -c . -f -
> # autopkgtest-virt-lxd: DBG: +> tar --directory
> /tmp/autopkgtest.output.1d8ttwm8/pkg/debian/ --warning=none
> --preserve-permissions --extract --no-same-owner -f -
> # autopkgtest-virt-lxd: DBG: +>?
> # autopkgtest-virt-lxd: DBG: +<?
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest: DBG: Test defined: name totest path debian/tests/totest
> command "None" restrictions [] features [] depends []
> # autopkgtest [13:04:38]: build not needed
> # autopkgtest: DBG: sending command to testbed: copyup
> /tmp/autopkgtest.aJ6Il4/build.Btu/src/
> /tmp/autopkgtest.output.1d8ttwm8/tests-tree/
> # autopkgtest-virt-lxd: DBG: executing copyup
> /tmp/autopkgtest.aJ6Il4/build.Btu/src/
> /tmp/autopkgtest.output.1d8ttwm8/tests-tree/
> # autopkgtest-virt-lxd: DBG: ['cmdls', '([\'lxc\', \'exec\',
> \'autopkgtest-lxd-qvckhg\', \'--\', \'env\', \'-i\', \'bash\', \'-c\', \'set
> -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\\\\\[}";
> myout="${myout/]/\\\\\\\\]}";myerr="${myerr/[/\\\\\\\\[}";
> myerr="${myerr/]/\\\\\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed
> -nr \\\'\\\\#(\\\'"$myout"\\\'|\\\'"$myerr"\\\')# {
> s#^.*/proc/([0-9]+)/.*$#\\\\1#; p}\\\'|sort -u);KILL="";for pid in $PS; do
> [ $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL
> $pid";done;[ -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit
> $RC\', \'--\', \'sh\', \'-ec\', \'cd /tmp/autopkgtest.aJ6Il4/build.Btu/src/;
> tar --warning=none -c . -f -\'], [\'tar\', \'--directory\',
> \'/tmp/autopkgtest.output.1d8ttwm8/tests-tree/\', \'--warning=none\',
> \'--preserve-permissions\', \'--extract\', \'--no-same-owner\', \'-f\',
> \'-\'])']
> # autopkgtest-virt-lxd: DBG: ['srcstdin', "<_io.BufferedReader
> name='/dev/null'>", 'deststdout', "<_io.BufferedReader name='/dev/null'>",
> 'devnull_read', <_io.BufferedReader name='/dev/null'>]
> # autopkgtest-virt-lxd: DBG: +< lxc exec autopkgtest-lxd-qvckhg -- env
> -i bash -c set -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null
> || true; [ -r /etc/default/locale ] && . /etc/default/locale 2>/dev/null ||
> true; [ -r /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@";
> RC=$?; [ $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- sh -ec cd
> /tmp/autopkgtest.aJ6Il4/build.Btu/src/; tar --warning=none -c . -f -
> # autopkgtest-virt-lxd: DBG: +> tar --directory
> /tmp/autopkgtest.output.1d8ttwm8/tests-tree/ --warning=none
> --preserve-permissions --extract --no-same-owner -f -
> # autopkgtest-virt-lxd: DBG: +>?
> # autopkgtest-virt-lxd: DBG: +<?
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest: DBG: Test defined: name totest path debian/tests/totest
> command "None" restrictions [] features [] depends []
> # autopkgtest [13:04:38]: test totest: preparing testbed
> # autopkgtest: DBG: testbed reset: modified=False, deps_installed=[],
> deps_new=[]
> # autopkgtest: DBG: Binaries: no registered binaries, not publishing
> anything
> # autopkgtest: DBG: install_deps: deps_new=[]
> # autopkgtest: DBG: testbed command ['sh', '-ec', 'command -v
> dpkg-query'], kind short, sout pipe, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: testbed command ['sh', '-ec', "dpkg-query --show -f
> '${Package}\\t${Version}\\n' > /tmp/autopkgtest.aJ6Il4/totest-packages.all"],
> kind short, sout raw, serr pipe, env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: sending command to testbed: copyup
> /tmp/autopkgtest.aJ6Il4/totest-packages.all
> /tmp/autopkgtest.output.1d8ttwm8/totest-packages.all
> # autopkgtest-virt-lxd: DBG: executing copyup
> /tmp/autopkgtest.aJ6Il4/totest-packages.all
> /tmp/autopkgtest.output.1d8ttwm8/totest-packages.all
> # autopkgtest-virt-lxd: DBG: ['cmdls', '([\'lxc\', \'exec\',
> \'autopkgtest-lxd-qvckhg\', \'--\', \'env\', \'-i\', \'bash\', \'-c\', \'set
> -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\\\\\[}";
> myout="${myout/]/\\\\\\\\]}";myerr="${myerr/[/\\\\\\\\[}";
> myerr="${myerr/]/\\\\\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed
> -nr \\\'\\\\#(\\\'"$myout"\\\'|\\\'"$myerr"\\\')# {
> s#^.*/proc/([0-9]+)/.*$#\\\\1#; p}\\\'|sort -u);KILL="";for pid in $PS; do
> [ $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL
> $pid";done;[ -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit
> $RC\', \'--\', \'sh\', \'-ec\', \'cat
> </tmp/autopkgtest.aJ6Il4/totest-packages.all\'], [\'cat\'])']
> # autopkgtest-virt-lxd: DBG: ['srcstdin', "<_io.BufferedReader
> name='/dev/null'>", 'deststdout', "<_io.BufferedWriter
> name='/tmp/autopkgtest.output.1d8ttwm8/totest-packages.all'>",
> 'devnull_read', <_io.BufferedReader name='/dev/null'>]
> # autopkgtest-virt-lxd: DBG: +< lxc exec autopkgtest-lxd-qvckhg -- env
> -i bash -c set -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null
> || true; [ -r /etc/default/locale ] && . /etc/default/locale 2>/dev/null ||
> true; [ -r /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@";
> RC=$?; [ $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- sh -ec cat
> </tmp/autopkgtest.aJ6Il4/totest-packages.all
> # autopkgtest-virt-lxd: DBG: +> cat
> # autopkgtest-virt-lxd: DBG: +>?
> # autopkgtest-virt-lxd: DBG: +<?
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest: DBG: testbed command ['test', '-e',
> '/tmp/autopkgtest.aJ6Il4/build.Btu/src'], kind short, sout raw, serr raw, env
> []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: copydown: tb path
> /tmp/autopkgtest.aJ6Il4/build.Btu/src already exists
> # autopkgtest [13:04:38]: test totest: [-----------------------
> # autopkgtest: DBG: testbed command ['su', '-s', '/bin/bash', 'test',
> '-c', 'set -e; export USER=`id -nu`; . /etc/profile >/dev/null 2>&1 || true;
> . ~/.profile >/dev/null 2>&1 || true;
> buildtree="/tmp/autopkgtest.aJ6Il4/build.Btu/src"; mkdir -p -m 1777 --
> "/tmp/autopkgtest.aJ6Il4/totest-artifacts"; export
> AUTOPKGTEST_ARTIFACTS="/tmp/autopkgtest.aJ6Il4/totest-artifacts"; export
> ADT_ARTIFACTS="$AUTOPKGTEST_ARTIFACTS"; mkdir -p -m 755
> "/tmp/autopkgtest.aJ6Il4/autopkgtest_tmp"; export
> AUTOPKGTEST_TMP="/tmp/autopkgtest.aJ6Il4/autopkgtest_tmp"; export
> ADTTMP="$AUTOPKGTEST_TMP"; export DEBIAN_FRONTEND=noninteractive; export
> LANG=C.UTF-8; export DEB_BUILD_OPTIONS=parallel=2; unset LANGUAGE LC_CTYPE
> LC_NUMERIC LC_TIME LC_COLLATE LC_MONETARY LC_MESSAGES LC_PAPER LC_NAME
> LC_ADDRESS LC_TELEPHONE LC_MEASUREMENT LC_IDENTIFICATION LC_ALL;cd
> "$buildtree"; chmod +x
> /tmp/autopkgtest.aJ6Il4/build.Btu/src/debian/tests/totest; exec
> /tmp/autopkgtest.aJ6Il4/wrapper.sh
> --script-pid-file=/tmp/autopkgtest_script_pid
> --stderr=/tmp/autopkgtest.aJ6Il4/totest-stderr
> --stdout=/tmp/autopkgtest.aJ6Il4/totest-stdout --
> /tmp/autopkgtest.aJ6Il4/build.Btu/src/debian/tests/totest ;'], kind test,
> sout raw, serr raw, env []
> # autopkgtest: DBG: timed out on ['lxc', 'exec',
> 'autopkgtest-lxd-qvckhg', '--', 'env', '-i', 'bash', '-c', 'set -a; [ -r
> /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\[}";
> myout="${myout/]/\\\\]}";myerr="${myerr/[/\\\\[}";
> myerr="${myerr/]/\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr
> \'\\#(\'"$myout"\'|\'"$myerr"\')# { s#^.*/proc/([0-9]+)/.*$#\\1#; p}\'|sort
> -u);KILL="";for pid in $PS; do [ $pid -ne $$ ] && [ $pid -ne $PPID ] ||
> continue; KILL="$KILL $pid";done;[ -z "$KILL" ] || kill -9 $KILL
> >/dev/null 2>&1 || true;exit $RC', '--'] ['su', '-s', '/bin/bash', 'test',
> '-c', 'set -e; export USER=`id -nu`; . /etc/profile >/dev/null 2>&1 || true;
> . ~/.profile >/dev/null 2>&1 || true;
> buildtree="/tmp/autopkgtest.aJ6Il4/build.Btu/src"; mkdir -p -m 1777 --
> "/tmp/autopkgtest.aJ6Il4/totest-artifacts"; export
> AUTOPKGTEST_ARTIFACTS="/tmp/autopkgtest.aJ6Il4/totest-artifacts"; export
> ADT_ARTIFACTS="$AUTOPKGTEST_ARTIFACTS"; mkdir -p -m 755
> "/tmp/autopkgtest.aJ6Il4/autopkgtest_tmp"; export
> AUTOPKGTEST_TMP="/tmp/autopkgtest.aJ6Il4/autopkgtest_tmp"; export
> ADTTMP="$AUTOPKGTEST_TMP"; export DEBIAN_FRONTEND=noninteractive; export
> LANG=C.UTF-8; export DEB_BUILD_OPTIONS=parallel=2; unset LANGUAGE LC_CTYPE
> LC_NUMERIC LC_TIME LC_COLLATE LC_MONETARY LC_MESSAGES LC_PAPER LC_NAME
> LC_ADDRESS LC_TELEPHONE LC_MEASUREMENT LC_IDENTIFICATION LC_ALL;cd
> "$buildtree"; chmod +x
> /tmp/autopkgtest.aJ6Il4/build.Btu/src/debian/tests/totest; exec
> /tmp/autopkgtest.aJ6Il4/wrapper.sh
> --script-pid-file=/tmp/autopkgtest_script_pid
> --stderr=/tmp/autopkgtest.aJ6Il4/totest-stderr
> --stdout=/tmp/autopkgtest.aJ6Il4/totest-stdout --
> /tmp/autopkgtest.aJ6Il4/build.Btu/src/debian/tests/totest ;'] (kind: test)
> # autopkgtest [13:04:48]: ERROR: timed out on command "su -s /bin/bash
> test -c set -e; export USER=`id -nu`; . /etc/profile >/dev/null 2>&1 || true;
> . ~/.profile >/dev/null 2>&1 || true;
> buildtree="/tmp/autopkgtest.aJ6Il4/build.Btu/src"; mkdir -p -m 1777 --
> "/tmp/autopkgtest.aJ6Il4/totest-artifacts"; export
> AUTOPKGTEST_ARTIFACTS="/tmp/autopkgtest.aJ6Il4/totest-artifacts"; export
> ADT_ARTIFACTS="$AUTOPKGTEST_ARTIFACTS"; mkdir -p -m 755
> "/tmp/autopkgtest.aJ6Il4/autopkgtest_tmp"; export
> AUTOPKGTEST_TMP="/tmp/autopkgtest.aJ6Il4/autopkgtest_tmp"; export
> ADTTMP="$AUTOPKGTEST_TMP"; export DEBIAN_FRONTEND=noninteractive; export
> LANG=C.UTF-8; export DEB_BUILD_OPTIONS=parallel=2; unset LANGUAGE LC_CTYPE
> LC_NUMERIC LC_TIME LC_COLLATE LC_MONETARY LC_MESSAGES LC_PAPER LC_NAME
> LC_ADDRESS LC_TELEPHONE LC_MEASUREMENT LC_IDENTIFICATION LC_ALL;cd
> "$buildtree"; chmod +x
> /tmp/autopkgtest.aJ6Il4/build.Btu/src/debian/tests/totest; exec
> /tmp/autopkgtest.aJ6Il4/wrapper.sh
> --script-pid-file=/tmp/autopkgtest_script_pid
> --stderr=/tmp/autopkgtest.aJ6Il4/totest-stderr
> --stdout=/tmp/autopkgtest.aJ6Il4/totest-stdout --
> /tmp/autopkgtest.aJ6Il4/build.Btu/src/debian/tests/totest ;" (kind: test)
> # autopkgtest [13:04:49]: test totest: -----------------------]
> # autopkgtest: DBG: testbed executing test finished with exit status 1
> # autopkgtest: DBG: sending command to testbed: copyup
> /tmp/autopkgtest.aJ6Il4/totest-stdout
> /tmp/autopkgtest.output.1d8ttwm8/totest-stdout
> # autopkgtest-virt-lxd: DBG: executing copyup
> /tmp/autopkgtest.aJ6Il4/totest-stdout
> /tmp/autopkgtest.output.1d8ttwm8/totest-stdout
> # autopkgtest-virt-lxd: DBG: ['cmdls', '([\'lxc\', \'exec\',
> \'autopkgtest-lxd-qvckhg\', \'--\', \'env\', \'-i\', \'bash\', \'-c\', \'set
> -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\\\\\[}";
> myout="${myout/]/\\\\\\\\]}";myerr="${myerr/[/\\\\\\\\[}";
> myerr="${myerr/]/\\\\\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed
> -nr \\\'\\\\#(\\\'"$myout"\\\'|\\\'"$myerr"\\\')# {
> s#^.*/proc/([0-9]+)/.*$#\\\\1#; p}\\\'|sort -u);KILL="";for pid in $PS; do
> [ $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL
> $pid";done;[ -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit
> $RC\', \'--\', \'sh\', \'-ec\', \'cat
> </tmp/autopkgtest.aJ6Il4/totest-stdout\'], [\'cat\'])']
> # autopkgtest-virt-lxd: DBG: ['srcstdin', "<_io.BufferedReader
> name='/dev/null'>", 'deststdout', "<_io.BufferedWriter
> name='/tmp/autopkgtest.output.1d8ttwm8/totest-stdout'>", 'devnull_read',
> <_io.BufferedReader name='/dev/null'>]
> # autopkgtest-virt-lxd: DBG: +< lxc exec autopkgtest-lxd-qvckhg -- env
> -i bash -c set -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null
> || true; [ -r /etc/default/locale ] && . /etc/default/locale 2>/dev/null ||
> true; [ -r /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@";
> RC=$?; [ $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- sh -ec cat
> </tmp/autopkgtest.aJ6Il4/totest-stdout
> # autopkgtest-virt-lxd: DBG: +> cat
> # autopkgtest-virt-lxd: DBG: +>?
> # autopkgtest-virt-lxd: DBG: +<?
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest: DBG: sending command to testbed: copyup
> /tmp/autopkgtest.aJ6Il4/totest-stderr
> /tmp/autopkgtest.output.1d8ttwm8/totest-stderr
> # autopkgtest-virt-lxd: DBG: executing copyup
> /tmp/autopkgtest.aJ6Il4/totest-stderr
> /tmp/autopkgtest.output.1d8ttwm8/totest-stderr
> # autopkgtest-virt-lxd: DBG: ['cmdls', '([\'lxc\', \'exec\',
> \'autopkgtest-lxd-qvckhg\', \'--\', \'env\', \'-i\', \'bash\', \'-c\', \'set
> -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\\\\\[}";
> myout="${myout/]/\\\\\\\\]}";myerr="${myerr/[/\\\\\\\\[}";
> myerr="${myerr/]/\\\\\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed
> -nr \\\'\\\\#(\\\'"$myout"\\\'|\\\'"$myerr"\\\')# {
> s#^.*/proc/([0-9]+)/.*$#\\\\1#; p}\\\'|sort -u);KILL="";for pid in $PS; do
> [ $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL
> $pid";done;[ -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit
> $RC\', \'--\', \'sh\', \'-ec\', \'cat
> </tmp/autopkgtest.aJ6Il4/totest-stderr\'], [\'cat\'])']
> # autopkgtest-virt-lxd: DBG: ['srcstdin', "<_io.BufferedReader
> name='/dev/null'>", 'deststdout', "<_io.BufferedWriter
> name='/tmp/autopkgtest.output.1d8ttwm8/totest-stderr'>", 'devnull_read',
> <_io.BufferedReader name='/dev/null'>]
> # autopkgtest-virt-lxd: DBG: +< lxc exec autopkgtest-lxd-qvckhg -- env
> -i bash -c set -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null
> || true; [ -r /etc/default/locale ] && . /etc/default/locale 2>/dev/null ||
> true; [ -r /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@";
> RC=$?; [ $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- sh -ec cat
> </tmp/autopkgtest.aJ6Il4/totest-stderr
> # autopkgtest-virt-lxd: DBG: +> cat
> # autopkgtest-virt-lxd: DBG: +>?
> # autopkgtest-virt-lxd: DBG: +<?
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest [13:04:49]: test totest: - - - - - - - - - - results - - -
> - - - - - - -
> # autopkgtest: DBG: sending command to testbed: copyup
> /tmp/autopkgtest.aJ6Il4/totest-artifacts/
> /tmp/autopkgtest.output.1d8ttwm8/artifacts/
> # autopkgtest-virt-lxd: DBG: executing copyup
> /tmp/autopkgtest.aJ6Il4/totest-artifacts/
> /tmp/autopkgtest.output.1d8ttwm8/artifacts/
> # autopkgtest-virt-lxd: DBG: ['cmdls', '([\'lxc\', \'exec\',
> \'autopkgtest-lxd-qvckhg\', \'--\', \'env\', \'-i\', \'bash\', \'-c\', \'set
> -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null || true; [ -r
> /etc/default/locale ] && . /etc/default/locale 2>/dev/null || true; [ -r
> /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [
> $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\\\\\\\[}";
> myout="${myout/]/\\\\\\\\]}";myerr="${myerr/[/\\\\\\\\[}";
> myerr="${myerr/]/\\\\\\\\]}";PS=$(ls -l /proc/[0-9]*/fd/* 2>/dev/null | sed
> -nr \\\'\\\\#(\\\'"$myout"\\\'|\\\'"$myerr"\\\')# {
> s#^.*/proc/([0-9]+)/.*$#\\\\1#; p}\\\'|sort -u);KILL="";for pid in $PS; do
> [ $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL
> $pid";done;[ -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit
> $RC\', \'--\', \'sh\', \'-ec\', \'cd
> /tmp/autopkgtest.aJ6Il4/totest-artifacts/; tar --warning=none -c . -f -\'],
> [\'tar\', \'--directory\', \'/tmp/autopkgtest.output.1d8ttwm8/artifacts/\',
> \'--warning=none\', \'--preserve-permissions\', \'--extract\',
> \'--no-same-owner\', \'-f\', \'-\'])']
> # autopkgtest-virt-lxd: DBG: ['srcstdin', "<_io.BufferedReader
> name='/dev/null'>", 'deststdout', "<_io.BufferedReader name='/dev/null'>",
> 'devnull_read', <_io.BufferedReader name='/dev/null'>]
> # autopkgtest-virt-lxd: DBG: +< lxc exec autopkgtest-lxd-qvckhg -- env
> -i bash -c set -a; [ -r /etc/environment ] && . /etc/environment 2>/dev/null
> || true; [ -r /etc/default/locale ] && . /etc/default/locale 2>/dev/null ||
> true; [ -r /etc/profile ] && . /etc/profile 2>/dev/null || true; set +a;"$@";
> RC=$?; [ $RC != 255 ] || RC=253; set -e;myout=$(readlink
> /proc/$$/fd/1);myerr=$(readlink /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- sh -ec cd
> /tmp/autopkgtest.aJ6Il4/totest-artifacts/; tar --warning=none -c . -f -
> # autopkgtest-virt-lxd: DBG: +> tar --directory
> /tmp/autopkgtest.output.1d8ttwm8/artifacts/ --warning=none
> --preserve-permissions --extract --no-same-owner -f -
> # autopkgtest-virt-lxd: DBG: +>?
> # autopkgtest-virt-lxd: DBG: +<?
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest: DBG: testbed command ['rm', '-rf',
> '/tmp/autopkgtest.aJ6Il4/totest-artifacts',
> '/tmp/autopkgtest.aJ6Il4/autopkgtest_tmp'], kind short, sout raw, serr pipe,
> env []
> # autopkgtest: DBG: testbed command exited with code 0
> # autopkgtest: DBG: needs_reset, previously=False, requested by
> run_tests() line 208
> # autopkgtest [13:04:49]: @@@@@@@@@@@@@@@@@@@@ summary
> # totest FAIL timed out
> # autopkgtest: DBG: testbed stop
> # autopkgtest: DBG: testbed close, scratch=/tmp/autopkgtest.aJ6Il4
> # autopkgtest: DBG: sending command to testbed: close
> # autopkgtest-virt-lxd: DBG: executing close
> # autopkgtest-virt-lxd: DBG: cleanup...
> # autopkgtest-virt-lxd: DBG: execute-timeout: lxc exec
> autopkgtest-lxd-qvckhg -- env -i bash -c set -a; [ -r /etc/environment ] && .
> /etc/environment 2>/dev/null || true; [ -r /etc/default/locale ] && .
> /etc/default/locale 2>/dev/null || true; [ -r /etc/profile ] && .
> /etc/profile 2>/dev/null || true; set +a;"$@"; RC=$?; [ $RC != 255 ] ||
> RC=253; set -e;myout=$(readlink /proc/$$/fd/1);myerr=$(readlink
> /proc/$$/fd/2);myout="${myout/[/\\[}";
> myout="${myout/]/\\]}";myerr="${myerr/[/\\[}"; myerr="${myerr/]/\\]}";PS=$(ls
> -l /proc/[0-9]*/fd/* 2>/dev/null | sed -nr '\#('"$myout"'|'"$myerr"')# {
> s#^.*/proc/([0-9]+)/.*$#\1#; p}'|sort -u);KILL="";for pid in $PS; do [
> $pid -ne $$ ] && [ $pid -ne $PPID ] || continue; KILL="$KILL $pid";done;[
> -z "$KILL" ] || kill -9 $KILL >/dev/null 2>&1 || true;exit $RC -- rm -rf --
> /tmp/autopkgtest.aJ6Il4
> # autopkgtest-virt-lxd: DBG: execute-timeout: lxc delete --force
> autopkgtest-lxd-qvckhg
> # autopkgtest: DBG: got reply from testbed: ok
> # autopkgtest: DBG: sending command to testbed: quit
> # autopkgtest-virt-lxd: DBG: executing quit
> # autopkgtest-virt-lxd: DBG: cleanup...
> # exit status: 4
> FAIL
>
> ======================================================================
> FAIL: test_timeout (__main__.LxdRunner)
> handling test timeout
> ----------------------------------------------------------------------
> Traceback (most recent call last):
> File "/home/user/autopkgtest/./tests/autopkgtest", line 3248, in
> test_timeout
> self.assertNotIn('after_sleep', out)
> AssertionError: 'after_sleep' unexpectedly found in "Adding user `test'
> ...\nAdding new group `test' (1000) ...\nAdding new user `test' (1000) with
> group `test (1000)' ...\nCreating home directory `/home/test' ...\nCopying
> files from `/etc/skel' ...\nAdding new user `test' to supplemental / extra
> groups `users' ...\nAdding user `test' to group `users'
> ...\nstart\nafter_sleep\ntotest FAIL timed out\n"
>
> ----------------------------------------------------------------------
> Ran 1 test in 22.951s
>
> FAILED (failures=1)